=== modified file 'ChangeLog'
--- ChangeLog	2006-08-21 23:47:24 +0000
+++ ChangeLog	2006-08-29 18:14:00 +0000
@@ -1,3 +1,11 @@
+2006-08-29  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
+
+    * olive/backend/update.py: fixed a bug if bundles not available under bzr
+      0.8.2 (Fixed: #57761)
+    * Merge from Stéphane's branch.
+    * po/olive-gtk.pot: regenerated
+    * po/hu.po: msginit'ed
+
 2006-08-20  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
 
     * setup.py: some little corrections (python path + bazaar branding)

=== modified file 'olive/backend/update.py'
--- olive/backend/update.py	2006-08-09 13:15:41 +0000
+++ olive/backend/update.py	2006-08-29 18:14:00 +0000
@@ -99,9 +99,15 @@
     
     :return: number of revisions pulled
     """
+    nobundle = False
+    
     from bzrlib.branch import Branch
-    from bzrlib.bundle import read_bundle_from_url
-    from bzrlib.bundle.apply_bundle import install_bundle
+    try:
+        from bzrlib.bundle import read_bundle_from_url
+        from bzrlib.bundle.apply_bundle import install_bundle
+    except ImportError:
+        # no bundle support
+        nobundle = True
     
     try:
         tree_to = WorkingTree.open_containing(branch)[0]
@@ -116,7 +122,7 @@
         raise NotBranchError(location)
 
     reader = None
-    if location is not None:
+    if location is not None and not nobundle:
         try:
             reader = read_bundle_from_url(location)
         except errors.NotABundle:
@@ -129,7 +135,7 @@
         else:
             location = stored_loc
 
-    if reader is not None:
+    if reader is not None and not nobundle:
         install_bundle(branch_to.repository, reader)
         branch_from = branch_to
     else:

